repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
      - id: check-added-large-files
      - id: check-merge-conflict
        args:
          - --assume-in-merge
      - id: check-toml
      - id: detect-private-key
      - id: detect-aws-credentials
        args:
          - --allow-missing-credentials
  - repo: https://github.com/psf/black-pre-commit-mirror
    rev: 23.11.0
    hooks:
      - id: black
        language: python
        language_version: python3
  - repo: https://github.com/PyCQA/bandit
    rev: 1.7.5
    hooks:
      - id: bandit
        args: [ "-c", "pyproject.toml" ]
        additional_dependencies: [ "bandit[toml]" ]
  - repo: https://github.com/pycqa/flake8
    rev: 6.1.0
    hooks:
      - id: flake8
        language: python
        exclude: /alembic/
        args:
          - --max-complexity=10
          - --max-line-length=90
          - --max-cognitive-complexity=10
          - --ignore=B008,E203,E266,W503,D100,D104,D105,D106,D103,D102,D107,D20
          - --per-file-ignores=*/tests/*:D101,D102,D103,apps.py,choices.py,admin.py:D101
        additional_dependencies: [
          'flake8-cognitive-complexity==0.1.0',
          'flake8-docstrings==1.7.0',
          'flake8-print==5.0.0',
          'flake8-pytest==1.4',
          'flake8-variables-names==0.0.6',
          'flake8-bugbear==23.7.10',
          'flake8-simplify==0.20.0'
        ]
  - repo: https://github.com/pycqa/isort
    rev: 5.12.0
    hooks:
      - id: isort
